import java.util.*;
import java.awt.*;

public class GenAleaCiel{
	
	String strType=new String() ;
	Entite objet=new Entite();
	
	public GenAleaCiel(
		Monde monde,
		Catalog cat,
		Point oldInsertPt,
		int tailleGrille,
		boolean vertical,
		boolean sens,
		ArrayList[][] grille,
		Personnage perso
		){
		
		VraiVide vraivide=new VraiVide();
		for(int rx=10;rx<tailleGrille-10;rx++){
			for(int ry=10;ry<tailleGrille-10;ry++){
				
				grille[rx][ry].add(vraivide);
			}
		}
		
		////////////////////////////////////////////////:
		for(int rx=10;rx<tailleGrille-10;rx++){
			for(int ry=10;ry<tailleGrille-10;ry++){
				
        		if(!grille[rx][ry].isEmpty()){
					
	        		for(int i=0;i<grille[rx][ry].size();i++){
						
			 			try{
			 					
			 				objet = (Entite) grille[rx][ry].get(i);
		 					
		 					//String strType ;			
							strType = (objet.getClass().getName());
							
							if(strType.compareTo("Vide")==0){
								grille[rx][ry].remove(objet);
							}
							
						}
						catch(NoSuchElementException exc){};
					}
				}
			
			}
		}
		
		/////////////////////////////////////////
		
		////CREATURES
		//VraiVide vraivide=new VraiVide();
		for(int rx=10;rx<tailleGrille-10;rx++){
			for(int ry=10;ry<tailleGrille-10;ry++){
				
				//grille[rx][ry].add(vraivide);
				
				
				if(((int)(Math.abs(Math.random()*1000))+1)<=2){
				
					DragonCategory dra=new DragonCategory(monde,false,"dragonancientlordred","Un seigneur dragon rouge","An old red dragon lord",true,"Creature",true,"./images/creatures/dragon/d1.gif","./images/creatures/corpse.gif","./sons/demonlord.wav");
					dra.setCooX(rx);
					dra.setCooY(ry);
        			grille[rx][ry].add(dra);
        			
        			
        			
				}
			}
			
		}
		
		
		
		
	}
	
	
}